package com.FranckBarbier._Java._Railcar_control_system_client;

public class Milestone {

    /**
     * Business
     */
    String _name;
    boolean _is_clockwise;
    String _terminal;
    /**
     * Graphics
     */
    private geomerative.RShape _shape;
    float arc_length;
    private final static int _Font_size = 20;
    final static String _100 = "100";
    final static String _80 = "80";

    Milestone(String name, boolean is_clockwise, String terminal) {
        _name = name;
        _is_clockwise = is_clockwise;
        _terminal = terminal;
    }

    public void init_shape() {
        _shape = geomerative.RG.getText(_name, "resource/TAHOMA.TTF", _Font_size, geomerative.RG.CENTER);
    }

    public void draw(processing.core.PApplet papplet) {
        float theta = 1.5F * processing.core.PApplet.PI + arc_length / Control_center_client._Topography_radius;
        papplet.pushMatrix();
        papplet.translate(papplet.width / 2, papplet.height / 2);
        papplet.translate(Control_center_client._Topography_radius * papplet.cos(theta), Control_center_client._Topography_radius * papplet.sin(theta));
        papplet.fill(255, 0, 0);
        _shape.draw();
        papplet.popMatrix();
    }
}
