package com.FranckBarbier._Java._Railcar_control_system_client;

public class Terminal {

    /**
     * Business
     */
    String _name;
    /**
     * Graphics
     */
    private geomerative.RShape _shape;
    float arc_length;
    private final static int _Font_size = 40;
    final static float _Rotation_speed = 10.F;

    Terminal(String name) {
        _name = name;
    }

    public void init_shape() {
        _shape = geomerative.RG.getText(_name, "resource/TAHOMA.TTF", _Font_size, geomerative.RG.CENTER);
    }

    public void draw(processing.core.PApplet papplet) {
        if (Control_center_client.is_terminal_in_state(_name, com.FranckBarbier._Java._Railcar_control_system.Terminal.Busy)) {
            _shape.children[0].rotate(processing.core.PApplet.PI / _Rotation_speed, _shape.children[1].getCenter());
        }
        if (Control_center_client.terminal_destination_board_is_empty(_name)) {
            papplet.fill(255, 0, 0);
        } else {
            papplet.fill(500, 500, 10);
        }
        float theta = 1.5F * processing.core.PApplet.PI + arc_length / Control_center_client._Topography_radius;
        papplet.pushMatrix();
        papplet.translate(papplet.width / 2, papplet.height / 2);
        papplet.translate(Control_center_client._Topography_radius * papplet.cos(theta), Control_center_client._Topography_radius * papplet.sin(theta));
        _shape.draw();
        papplet.popMatrix();
    }
}
